{ TEST program for the ZIP File System unit (ZFS) - Ivn Montes Velencoso

   WWW : http://webs.demasiado.com/freakpascal/
   e-mail : senbei@teleline.es

      Needs an external file called TEST.ZIP that contains an ascii file
      called OWILDE.TXT which is compressed.
}

PROGRAM TEXTDEMO;

uses crt, dos, Zfs;


var
  packfile  :pZIP;                  {ZIP archive}
  textf     :Text;                  {file handler}
  s         :string;
  i         :longint;
  oldAttr   :Byte;
  ch        :char;

begin
  packfile:=OpenZIP ('TEST.ZIP', NORMALMODE); {Opens a ZIP file in normal mode}
  if IOResult<>0 then  {There is an error!}
   begin
     WriteLN('Error oppening the ZIP file');
     Halt;
   end;

  if NOT(FileExist('oWilde.TXT')) then
   begin
     WriteLN('OWilde.TXT text file not found!');
     Halt;
   end;

  Assign(textf, 'OWilde.TXT');  {We open a file}
  zfs.reset(textf);
  If IOResult<>0 then {There is an error!}
   begin
     WriteLN('Error while openning a file');
     HALT;
   end;

  {If it's on disk we display a message showing so}
  if NOT(InsideZIP(textf)) then
   begin
     WriteLN('File found outside a ZIP file, so we use it');
     WriteLN('-Press a key-');
     readkey;
   end;

  ClrScr;
  i:=0;
  oldAttr:=TextAttr;


  While NOT(eof(textf)) do
   begin
     {s:=txtReadLn(textf);}
     ReadLN(textf, s);
     WriteLN(s);

     inc(i,1);
     if i>22 then
      begin
        WriteLN;
        TextAttr:=1*16+14;
        Write('*** PRESS A KEY TO CONTINUE ***');
        TextAttr:=OldAttr;
        ch:=readkey;
        if ch=#27 then break;
        i:=0;
        ClrScr;
      end;
   end;

  if ch<>#27 then
   begin
     WriteLN;
     TextAttr:=4*16+14;
     WriteLN('*** END - PRESS A KEY TO CONTINUE ***');
     TextAttr:=OldAttr;
     readkey;
   end;

  Close(textf);
end.


